Page MenuHomePhabricator

Maplink template crashes app
Open, LowPublic

Description

How many times were you able to reproduce it?

Many times on four different hardware devices.

Steps to reproduce

  1. Load the app, open an article e.g. [[New York City]], tap Quick Facts to open the infobox.
  2. Scroll down the "Interactive map" and tap it. The screen flickers white then returns to its previous state. (The "Interactive map" is implemented with the Maplink template: https://en.wikipedia.org/wiki/Template:Maplink)
  3. Tap the map again. The screen goes almost completely white.
  4. Can no longer interact with the Wikipedia app, and it has to be force killed.

Expected results

Interactive map displays as it does in desktop browser.

Actual results

No interactivity, app freezes and has to be killed.

Screenshots

Environments observed

App version: 6.1.4 (1537)
OS versions: iOS 12
Device model: iPhone 6s, iPhone 5s, iPad Pro, iPhone X
Device language: English

Regression?

Unknown.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2019, 11:19 PM
Cornellier updated the task description. (Show Details)Feb 19 2019, 11:25 PM

Same issue as T214690. There's a workaround that fixes the blank screen in 6.2 (to be released this week), but it involves opening the map in Safari

Cornellier updated the task description. (Show Details)Feb 20 2019, 2:15 AM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor added a subscriber: JMinor.

Restest after fix for Safari released.

JMinor triaged this task as Low priority.Feb 27 2019, 11:54 PM
ABorbaWMF added a subscriber: ABorbaWMF.

The link is opening to a URL now, but it does not look like the correct one (perhaps). On 6.2.1 (1586)

New York City
Desktop


Mobile Web

App

Thanks @ABorbaWMF I'm going to move this forward since the specific crash bug has been fixed.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 16 2019, 5:37 PM